cat << EOF
# YAML input file for DataCoupler, It will be ingested and turn to Experiment YAML file 

## Model Information
ModelNameSend        : CO2BOX
ModelNameReceive     : IFS_TOY
LogFileName          : co2box.log

## Run Information  
RunLengthSec    : ${leg_length_sec}     
TimeStepSec     : ${cpl_freq_amip_sec}
StartYear       : ${leg_start_date_yyyymmdd:0:4}
StartMonth      : ${leg_start_date_yyyymmdd:4:2}
StartDay        : ${leg_start_date_yyyymmdd:6:2}
FixYear         : ${ifs_cmip_fixyear}
GridInfo        : 1 # GLOBAL grid

## Coupling Information  
FileInputVars:
   CO2_cconc_monthly : { id: CO2_cconc_monthly,  grid_name: GLOBAL, oasis_name: CO2BOX_CO2_cconc, file_pattern: mole-fraction-of-carbon-dioxide-in-air_input4MIPs_GHGConcentrations_CMIP_UoM-CMIP-1-2-0_gr1-GMNHSH_184901-201412.nc.mod, netcdf_variable: mole_fraction_of_carbon_dioxide_in_air, yref_min : 1849, yref_max: 2014, timestep: monthly, interpolate: true, scale_factor: 1, offset: 0, min:, max:, update: true, accum: true}
   CO2_econc_monthly : { id: CO2_econc_monthly,  grid_name: GLOBAL, oasis_name: CO2BOX_CO2_econc, file_pattern: mole-fraction-of-carbon-dioxide-in-air_input4MIPs_GHGConcentrations_CMIP_UoM-CMIP-1-2-0_gr1-GMNHSH_184901-201412.nc.mod, netcdf_variable: mole_fraction_of_carbon_dioxide_in_air, yref_min : 1849, yref_max: 2014, timestep: monthly, interpolate: true, scale_factor: 'co2_ppm_to_mass', offset: 0, min:, max:, update: false, accum: false}
   CO2_em_monthly_GLOBAL : { id: CO2_em_monthly_GLOBAL,  grid_name: GLOBAL, oasis_name: CO2BOX_CO2_econc, file_pattern: CO2-em-anthro_input4MIPs_emissions_CMIP_CEDS-2017-05-18_gn_200001-201412-global.nc, netcdf_variable: CO2_em_anthro, yref_min : 1750, yref_max: 2018, timestep: monthly, interpolate: false, scale_factor: 86400, offset: 0, min:, max:, update: true, accum: true}
   CO2_land_monthly_GLOBAL : { id: CO2_land_monthly_GLOBAL,  grid_name: GLOBAL, oasis_name: CO2BOX_CO2_econc, file_pattern: CO2-em-anthro_input4MIPs_emissions_CMIP_CEDS-2017-05-18_gn_200001-201412-global.nc, netcdf_variable: CO2_em_anthro, yref_min : 1750, yref_max: 2018, timestep: monthly, interpolate: false, scale_factor: 43200, offset: 0, min:, max:, update: true, accum: true}
   CO2_ocean_monthly_GLOBAL : { id: CO2_ocean_monthly_GLOBAL,  grid_name: GLOBAL, oasis_name: CO2BOX_CO2_econc, file_pattern: CO2-em-anthro_input4MIPs_emissions_CMIP_CEDS-2017-05-18_gn_200001-201412-global.nc, netcdf_variable: CO2_em_anthro, yref_min : 1750, yref_max: 2018, timestep: monthly, interpolate: false, scale_factor: 8640, offset: 0, min:, max:, update: true, accum: true}
 
OasisOutputVars:
   CO2BOX_CO2_cconc : { send_id: CO2BOX_CO2_cconc, receive_id: A_CO2_cconc, send_grid_name: GLOBAL, receive_grid_name: GLOBAL, timestep: 'daily', scale_factor: 1, offset: 0, reset: true }
   CO2BOX_CO2_econc : { send_id: CO2BOX_CO2_econc, receive_id: A_CO2_econc, send_grid_name: GLOBAL, receive_grid_name: GLOBAL, timestep: 'daily', scale_factor: 'co2_mass_to_ppm', offset: 0, reset: false }

LDebug : false

EOF

